package com.enactor.training.paymentService.service.messages.gcash;

import java.util.Date;
import java.util.List;

import com.enactor.core.entities.IEntity;
import com.enactor.core.entities.PropertyValidationException;

/**
 * Add comments for the TimeDetail entity interface here
 */
public interface ITimeDetail extends IEntity {

	
	/**
	 * Set the ConfirmedTimes
	 *
	 * @param confirmedTimes
	 * @throws PropertyValidationException
	 */
	public void setConfirmedTimes(List<Date> confirmedTimes) throws PropertyValidationException;
	
	/**
	 * Get the ConfirmedTimes
	 *
	 * @return confirmedTimes
	 */
	public List<Date> getConfirmedTimes();
	
	
	/**
	 * Set the CreatedTime
	 *
	 * @param createdTime
	 * @throws PropertyValidationException
	 */
	public void setCreatedTime(Date createdTime) throws PropertyValidationException;
	
	/**
	 * Get the CreatedTime
	 *
	 * @return createdTime
	 */
	public Date getCreatedTime();
	
	
	/**
	 * Set the ExpiryTime
	 *
	 * @param expiryTime
	 * @throws PropertyValidationException
	 */
	public void setExpiryTime(Date expiryTime) throws PropertyValidationException;
	
	/**
	 * Get the ExpiryTime
	 *
	 * @return expiryTime
	 */
	public Date getExpiryTime();
	
	
	/**
	 * Set the PaidTimes
	 *
	 * @param paidTimes
	 * @throws PropertyValidationException
	 */
	public void setPaidTimes(List<Date> paidTimes) throws PropertyValidationException;
	
	/**
	 * Get the PaidTimes
	 *
	 * @return paidTimes
	 */
	public List<Date> getPaidTimes();
	
	
}
